package body MSHTML.IHTMLDivPosition_Object is

   procedure Put_align
     (This : IHTMLDivPosition_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDivPosition_Put_align,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_align;

   function Get_align
     (This : IHTMLDivPosition_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDivPosition_Get_align);
   end Get_align;

end MSHTML.IHTMLDivPosition_Object;

